#pragma once
#include <map>
struct Fish_SeniorMonkeyFishCFGData
{
	//编号
	int mID;
	//鱼ID
	int mFishId;
	//最小分值
	int mMinimumScore;
	//最大分值
	int mMaximumScore;
	//权重
	int mweight;
};

class Fish_SeniorMonkeyFishCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorMonkeyFishCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorMonkeyFishCFGData* GetData(int ID);
	const std::map<int, Fish_SeniorMonkeyFishCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_SeniorMonkeyFishCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_SeniorMonkeyFishCFGData> mMapData;
};
